global:
  scrape_interval:     60s
  evaluation_interval: 60s
 
scrape_configs:
  - job_name: prometheus
    static_configs:
      - targets: ['localhost:9090']
        labels:
          instance: prometheus
 
  - job_name: jx-host
    static_configs:
      - targets: ['10.10.10.21:9100']
        labels: 
          instance: jx-store-21
      - targets: ['10.10.10.12:9100']
        labels: 
          instance: jx-k8s-12
      - targets: ['10.10.10.13:9100']
        labels: 
          instance: jx-k8s-13

  - job_name: jx-coredns
    static_configs:
      - targets: ['10.10.10.12:9153']
        labels: 
          instance: jx-coredns-12

  - job_name: jx-ingress
    static_configs:
      - targets: ['10.10.10.12:10254']
        labels: 
          instance: jx-ingress-12
      - targets: ['10.10.10.13:10254']
        labels: 
          instance: jx-ingress-13

  - job_name: jx-mysql
    static_configs:
      - targets: ['10.10.10.36:9104']
        labels:
          instance: jx-mysql-master-36
      - targets: ['10.10.10.37:9104']
        labels:
          instance: jx-mysql-slave-37
      - targets: ['10.10.10.38:9104']
        labels:
          instance: jx-mysql-slave-38
